
QGIS Application - Bug report #16648

SAGA version validation in Master

2017-06-01 01:17 AM - Pedro Venâncio

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/SAGA

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24548

Description

It seems that there is a validation in QGIS master (OSGeo4W) that is preventing SAGA LTR to start, when SAGA 2.1.2 is also installed.

So, when SAGA 2.1.2 and 2.3.2 are both installed with OSGeo4W, SAGA does not show up in processing, and log messages says: 

Problem with SAGA installation: unsupported SAGA version found.

I think this is related to line 71 of SagaUtils.py

folders.append(os.path.join(os.path.dirname(QgsApplication.prefixPath()), 'saga'))

If SAGA 2.1.2 is installed, it uses it's path, and SAGA does not load, because is blocked by the validation of the line 87 of

SagaAlgorithmProvider.py 

if not version.startswith('2.3.'):

If SAGA 2.1.2 is not installed, then SAGA loads ok.

Anyway, it only loads SAGA Split RGB bands algorithm.

Related issues:

Related to QGIS Application - Bug report # 16421: SAGA and GRASS support brok... Closed 2017-04-07

Associated revisions

Revision 74984b25 - 2017-06-02 09:08 AM - Alexander Bruy

[processing] always look for SAGA LTR first (fix #16648)

Revision 9297d91e - 2017-06-02 09:11 AM - Alexander Bruy

[processing] always look for SAGA LTR first (fix #16648)

(cherry picked from commit 74984b2525e8d34a5bce3c2100f32beea0f3e165)
History

#1 - 2017-06-01 11:47 AM - Giovanni Manghi

related to #16421

#2 - 2017-06-02 09:10 AM - Alexander Bruy

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|74984b2525e8d34a5bce3c2100f32beea0f3e165.

#3 - 2017-07-11 02:00 PM - Jürgen Fischer

- Related to Bug report #16421: SAGA and GRASS support broken in QGIS master added
